<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.gree.mall.miniapp.commonmapper.UserInfoMapper">


<!--    <select id="queryWebsit" resultType="com.gree.mall.miniapp.bean.user.ServiceWorkerBean">
        select aw.`name` as websit, eww.position, eww.name as workerRealName
        from enterprise_wechat_worker eww
          join admin_websit aw on eww.main_department = aw.websit_id and aw.corp_id = eww.corp_id
          join user ur on ur.work_user_id = eww.wechat_user_id
		  join admin_company_wechat d on ur.company_wechat_id = d.company_wechat_id and d.corp_id = aw.corp_id
        where ur.user_id = #{userId}
    </select>-->


<!--    <select id="queryWebsitByWorkId" resultType="com.gree.mall.miniapp.bean.user.ServiceWorkerBean">
        select aw.`name` as websit, eww.position, eww.name as workerRealName,aw.id adminWebsitId,aw.websit_number,aw.websit_id
        from enterprise_wechat_worker eww
                 left join admin_websit aw
                           on eww.main_department = aw.websit_id and eww.corp_id = aw.corp_id
        where eww.wechat_user_id = #{workUserId} and eww.corp_id = #{corpId}
    </select>-->


</mapper>
